parameters:
    oro_seo.sitemap.skip_compression_for_providers: []

services:
    oro_seo.sitemap.gzip_sitemap_file_writer:
        class: Oro\Bundle\SEOBundle\Sitemap\Filesystem\GzipSitemapFileWriter
        decorates: oro_seo.sitemap.sitemap_file_writer
        arguments:
            - '@.inner'
        calls:
            - ['skipCompressionForProviderTypes', ['%oro_seo.sitemap.skip_compression_for_providers%']]
